do i need a new kernel ?



  • Hello all
    I need some advice how to proceed.
    I am unable to register a pc to the fog server.
    The pc is rather new so it might be that a kernel update is required, but I am not sure , would appreciate your input.
    My system is Lenovo M93P , have a look at the images I have attached ,
    The M93p pass the compatibility test , yet the networking is not working right, it cannot ping back the server /get a reading on the ip address read the etc/resolv.conf
    I have managed to register another machine on the same c onfigured network , but it was an older Intel h61M board gigabyte model and there is no problem there with getting ip/ping or reading the resolv.conf file.
    I am using the latest SVN fog Git 4355
    Ps. There was a problem accessing the 4.1.3 kernel ( bzImage) was not found so I reverted back to 4.1.2
    Only then I could get into the fog menu on the client machine
    My question is, do I need to install Linux OS on the M93P in order to build a suitable kernel , or it is not necessary , my fog server is deferent hardware then my workstations.
    Or if anyone knows if there is already a kernel for this model ?
    Many thanks
    ping.jpg pass.jpg network.jpg



  • @jenesis Assuming you’ve tried every file that might work inside of /tftpboot and have tried several different kernels, then I would direct you to build a boot file with debugging turned on, and then try with that. This is not a fix, but it will provide you with more information that will hopefully lead you in the right direction.

    https://wiki.fogproject.org/wiki/index.php/Building_undionly.kpxe



  • hello ,
    i have tried different pxe files from the dhcp , different kernels, nothing seems to help.
    i am thinking it has to be the intel pxe driver , but i really dont know. because another hardware computer works fine.



  • Hi
    I downloaded it few hours back it was the 4355 as i recall, installed on centos 7.

    thanks


  • Senior Developer

    What version of fog? I haven’t built a 4.1.3 kernel which would be why you’re unable to download it directly. Actually I did build 4.1.3 just haven’t uploaded to sourceforge as when I built the kernel sourceforge was down.


 

504
Online

41.5k
Users

12.0k
Topics

113.5k
Posts